/* -*- C++ -*-
 *
 * ---------------------------------------------------------------------
 * $Id: stringfac.cpp 23 2003-10-28 02:24:16Z drory $
 * ---------------------------------------------------------------------
 *
 * Copyright (C) 2000-2001 Niv Drory <drory@usm.uni-muenchen.de>
 *                         Claus A. Goessl <cag@usm.uni-muenchen.de>
 *                         Arno Riffeser <arri@usm.uni-muenchen.de>
 *                         Jan Snigula <snigula@usm.uni-muenchen.de>
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA 
 *
 * ---------------------------------------------------------------------
 *
 */

#include <ltl/util/stringfac.h>

UTIL_BEGIN_NAMESPACE

const string StringFactory::factory_text =
   string("StringFactory: ");
const string StringFactory::error_text =
   string(" is too wide\ncannot create string with preset width.");

string StringFactory::toString(const double xd, const int width,
                               const int precision)
{
   return StringFactory::floatToString(xd, width, precision);
};

string StringFactory::toString(const float xd, const int width,
                               const int precision)
{
   return StringFactory::floatToString(xd, width, precision);
};

string StringFactory::toString(const long xd, const int width)
{
   return StringFactory::intToString(xd, width);
};

string StringFactory::toString(const int xd, const int width)
{
   return StringFactory::intToString(xd, width);
};

UTIL_END_NAMESPACE

