/*
 * makepsf.cpp
 * Creatte a psf template from a number of stellar images
 *
 * --------------------------------------------------------------------
 * $Id: makepsf.cpp 2 2002-08-19 17:00:29Z drory $
 * --------------------------------------------------------------------
 *
 * Copyright (C) 2000-2001 Niv Drory <drory@usm.uni-muenchen.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA 
 *
 */

#include "config.h"

#include "globals.h"
#include "yoda.h"
#include "object.h"


#include <ltl/marray.h>

#include <list>


extern Globals g;


void makepsf( MImage& I, list<Object*> l )
{
   // estimate PSF
   list<Object*> stars;
   cerr << "Creating PSF template ...\n";
  
   if( g.psfinputcat_ == "" ) 
   {
      cerr << "  PSF size "<< g.psftemplsize_ << " pixels, core luminosity " 
	   << g.psfcorelum_ << " x detection isophote,\n";
      cerr << "  maximum asymetry " << g.psfmaxasym_ 
	   << ", minimum " << g.psfminstars_ << "  stars\n";
      cerr << "  maximum rms(ir1)/<ir1> " << g.psfrmsir1_ << endl;
      stars = findstars( l, g.psfrmsir1_ );
      if( g.psfstarcat_!="" )
         write_master_catalog( stars, g.psfstarcat_ );
   } 
   else 
   {
      stars = readstars( g.psfinputcat_.c_str(), l );
      cerr << "  read "<<stars.size() << " objects.\n";
   }

   g.psfimage_.makeReference( psf( stars, I ) );
}
