/* -*- C++ -*-
 *
 * photdata.cpp
 * Implementation of class PhotData
 *
 * --------------------------------------------------------------------
 * $Id: photdata.cpp 9 2002-10-31 18:35:54Z drory $
 * --------------------------------------------------------------------
 *
 * Copyright (C) 2000-2001 Niv Drory <drory@usm.uni-muenchen.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA 
 *
 */


#include "photdata.h"
#include <iomanip>

using std::ostream;
using std::ios;
using std::endl;
using std::setw;
using std::setprecision;

void PhotData::writecat( ostream& os )
{
   os.setf( ios::scientific, ios::floatfield );
   os << " ";
   os << setw(11) << setprecision(4) << f_     << " ";   // 2
   os << setw(11) << setprecision(4) << df_    << " ";   // 3

   os.setf( ios::fixed, ios::floatfield );
   os << setw(7) << setprecision(3) << m_     << " ";    // 4
   os << setw(7) << setprecision(3) << dm_    << " ";    // 5

   os << setw(7) << setprecision(2) << xc_    << " ";    // 6
   os << setw(7) << setprecision(2) << yc_    << " ";    // 7

   os << setw(7) << setprecision(3) << a_     << " ";    // 8
   os << setw(6) << setprecision(3) << b_     << " ";    // 9
   os << setw(7) << setprecision(3) << pa_    << " ";    // 10      

   os.setf( ios::scientific, ios::floatfield );
   os << setw(11) << setprecision(4) << sky_  << " ";    // 11
   os << setw(11)  << setprecision(4) << dsky_ << " " ;   // 12

   os << setw(11) << setprecision(4) << ff_     << " ";  // 13
   os << setw(11) << setprecision(4) << dff_    << " ";  // 14

   os.setf( ios::fixed, ios::floatfield );
   os << setw(7) << setprecision(3) << fm_     << " ";   // 15
   os << setw(7) << setprecision(3) << dfm_    << " ";   // 16
   os << setw(7) << setprecision(2) << fixed_  << " ";   // 17
  
   os << setw(10) << setprecision(3) << fsky_  << " ";   // 18
   os << setw(7)  << setprecision(3) << dfsky_;          // 19

   os.setf( ios::floatfield, ios::fixed );
}


